Linux repositories inspector

libunrar-devel - Development files for libunrar

The libunrar-devel package contains libraries and header files for developing applications that use libunrar.
5.7.5
OpenSUSE iconOpenSUSE Tumbleweed
5.7.3
OpenSUSE iconOpenSUSE Leap 15.1
5.6.1
OpenSUSE iconOpenSUSE Leap 15.0
5.5.5
OpenSUSE iconOpenSUSE Leap 42.3
DistributionVersionSincePackageInstalledPackager
OpenSUSE iconOpenSUSE Leap 15.0 non-ossrpm5.6.1-lp150.1.1Jan 1724.1 kiB12.4 kiBhttps://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.1 non-ossrpm5.7.3-lp151.1.1Mar 3025.3 kiB12.5 kiBhttps://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 non-ossrpm5.5.5-4.1Jan 1718.6 kiB12.4 kiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Tumbleweed non-ossrpm5.7.5-1.8Jul 1018.4 kiB12.5 kiBhttp://bugs.opensuse.org

Latest updates

OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed non-oss: Updated from 5.7.5-1.7 to 5.7.5-1.8

Jul 10
  • Update to version 5.7.5
    • No upstream changelog
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed non-oss: Updated from 5.7.5-1.6 to 5.7.5-1.7

Jun 27
  • Update to version 5.7.5
    • No upstream changelog
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed non-oss: Updated from 5.7.3-2.1 to 5.7.5-1.6

Jun 17
  • Update to version 5.7.5
    • No upstream changelog
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 non-oss: Updated from 5.6.1-lp151.2.4 to 5.7.3-lp151.1.1

Mar 30
  • Update the manual page.
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 non-oss: Updated from 5.6.1-lp151.2.3 to 5.6.1-lp151.2.4

Mar 21
  • the following issues are completely fixed in the current unrar release [bsc#1054038]:
    • UnRAR before 5.5.7 allows remote attackers to bypass a directory-traversal protection mechanism via vectors involving a symlink to the . directory, a symlink to the .. directory, and a regular file [CVE-2017-12938]
    • UnRAR before 5.5.7 has an out-of-bounds read in
      the EncodeFileName::Decode call within the
      Archive::ReadHeader15 function [CVE-2017-12940]
    • UnRAR before 5.5.7 has an out-of-bounds read in
      the Unpack::Unpack20 function [CVE-2017-12941]
    • UnRAR before 5.5.7 has a buffer overflow in the Unpack::LongLZ function [CVE-2017-12942]
  • it also fixes conditional jumps mentioned in [bsc#1046882]
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed non-oss: Updated from 5.7.3-1.1 to 5.7.3-2.1

Mar 15
  • Update the manual page.
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed non-oss: Updated from 5.7.2-1.1 to 5.7.3-1.1

Mar 03
  • Update to version 5.7.3
    • Based on WinRAR 5.70
    • No upstream changelog
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed non-oss: Updated from 5.7.1-1.3 to 5.7.2-1.1

Feb 26
  • Update to version 5.7.2
    • No upstream changelog
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed non-oss: Updated from 5.7.1-1.1 to 5.7.1-1.3

Feb 12
  • Update to 5.7.1
    • No upstream changelog
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed non-oss: Updated from 5.6.8-1.4 to 5.7.1-1.1

Feb 03
  • Update to 5.7.1
    • No upstream changelog
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed non-oss: Updated from 5.6.8-1.3 to 5.6.8-1.4

Jan 23
  • Update to 5.6.8.
    • Based on final RAR 5.61.
    • Fixed a crash when processing corrupt RAR archives. This issue may be also associated with security risks.
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 non-oss: Version 5.6.1-lp151.2.3 introduced

Jan 23
  • the following issues are completely fixed in the current unrar release [bsc#1054038]:
    • UnRAR before 5.5.7 allows remote attackers to bypass a directory-traversal protection mechanism via vectors involving a symlink to the . directory, a symlink to the .. directory, and a regular file [CVE-2017-12938]
    • UnRAR before 5.5.7 has an out-of-bounds read in
      the EncodeFileName::Decode call within the
      Archive::ReadHeader15 function [CVE-2017-12940]
    • UnRAR before 5.5.7 has an out-of-bounds read in
      the Unpack::Unpack20 function [CVE-2017-12941]
    • UnRAR before 5.5.7 has a buffer overflow in the Unpack::LongLZ function [CVE-2017-12942]
  • it also fixes conditional jumps mentioned in [bsc#1046882]
OpenSUSE Leap 15.0 icon

OpenSUSE Leap 15.0 non-oss: Version 5.6.1-lp150.1.1 introduced

Jan 17
  • the following issues are completely fixed in the current unrar release [bsc#1054038]:
    • UnRAR before 5.5.7 allows remote attackers to bypass a directory-traversal protection mechanism via vectors involving a symlink to the . directory, a symlink to the .. directory, and a regular file [CVE-2017-12938]
    • UnRAR before 5.5.7 has an out-of-bounds read in
      the EncodeFileName::Decode call within the
      Archive::ReadHeader15 function [CVE-2017-12940]
    • UnRAR before 5.5.7 has an out-of-bounds read in
      the Unpack::Unpack20 function [CVE-2017-12941]
    • UnRAR before 5.5.7 has a buffer overflow in the Unpack::LongLZ function [CVE-2017-12942]
  • it also fixes conditional jumps mentioned in [bsc#1046882]
OpenSUSE Leap 42.3 icon

OpenSUSE Leap 42.3 non-oss: Version 5.5.5-4.1 introduced

Jan 17
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed non-oss: Version 5.6.8-1.3 introduced

Jan 17
  • Update to 5.6.8.
    • Based on final RAR 5.61.
    • Fixed a crash when processing corrupt RAR archives. This issue may be also associated with security risks.

Related packages

libunrar - Library and header file for applications that use libunrar
devel - Hydrogen header files
⇧ Top